JavaServiceDesc (Axis API)
Keywords: org.apache.axis.description.JavaServiceDesc class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.description
Class JavaServiceDesc

    java.lang.Object
      org.apache.axis.description.JavaServiceDesc

All Implemented Interfaces:
  java.io.Serializable, ServiceDesc

public class JavaServiceDesc
extends java.lang.Object
implements ServiceDesc

A ServiceDesc is an abstract description of a service. ServiceDescs contain OperationDescs, which are descriptions of operations. The information about a service's operations comes from one of two places: 1) deployment, or 2) introspection.

Author:
  Glen Daniels (gdaniels@apache.org)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`JavaServiceDesc()` Default constructor

Method Summary
`void` | `addOperationDesc(OperationDesc operation)`
`java.util.List` | `getAllowedMethods()`
`java.lang.String` | `getDefaultNamespace()`
`java.util.List` | `getDisallowedMethods()`
`java.lang.String` | `getDocumentation()` get the documentation for the service
`java.lang.String` | `getEndpointURL()`
`java.lang.Class` | `getImplClass()`
`java.lang.String` | `getName()` the name of the service
`OperationDesc` | `getOperationByElementQName(QName qname)` Map an XML QName to an operation.
`OperationDesc` | `getOperationByName(java.lang.String methodName)` Return an operation matching the given method name.
`java.util.ArrayList` | `getOperations()` get all the operations as a list of OperationDescs.
`OperationDesc[]` | `getOperationsByName(java.lang.String methodName)` get all overloaded operations by name
`OperationDesc[]` | `getOperationsByQName(QName qname)` Return all operations which match this QName (i.e.
`java.lang.Object` | `getProperty(java.lang.String name)`
`java.util.ArrayList` | `getStopClasses()`
`Style` | `getStyle()` What kind of service is this?
`TypeMapping` | `getTypeMapping()`
`TypeMappingRegistry` | `getTypeMappingRegistry()`
`Use` | `getUse()` What kind of use is this?
`java.lang.String` | `getWSDLFile()` the wsdl file of the service.
`boolean` | `isInitialized()`
`boolean` | `isWrapped()` Determine whether or not this is a "wrapped" invocation, i.e.
`void` | `loadServiceDescByIntrospection()` Fill in a service description by introspecting the implementation class.
`void` | `loadServiceDescByIntrospection(java.lang.Class implClass)` Fill in a service description by introspecting the implementation class.
`void` | `loadServiceDescByIntrospection(java.lang.Class cls, TypeMapping tm)` Fill in a service description by introspecting the implementation class.
`void` | `removeOperationDesc(OperationDesc operation)`
`void` | `setAllowedMethods(java.util.List allowedMethods)`
`void` | `setDefaultNamespace(java.lang.String namespace)`
`void` | `setDisallowedMethods(java.util.List disallowedMethods)`
`void` | `setDocumentation(java.lang.String documentation)` set the documentation for the service
`void` | `setEndpointURL(java.lang.String endpointURL)`
`void` | `setImplClass(java.lang.Class implClass)` set the implementation class
`void` | `setName(java.lang.String name)` the name of the service
`void` | `setNamespaceMappings(java.util.List namespaces)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `setStopClasses(java.util.ArrayList stopClasses)`
`void` | `setStyle(Style style)`
`void` | `setTypeMapping(TypeMapping tm)`
`void` | `setTypeMappingRegistry(TypeMappingRegistry tmr)`
`void` | `setUse(Use use)`
`void` | `setWSDLFile(java.lang.String wsdlFileName)` set the wsdl file of the service; this causes the named file to be returned on a ?wsdl, probe, not introspection generated wsdl.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### JavaServiceDesc

    public JavaServiceDesc()

  Default constructor

Method Detail

### getStyle

    public Style getStyle()

  What kind of service is this?

  Specified by:
    `getStyle` in interface `ServiceDesc`
  Returns:

### setStyle

    public void setStyle(Style style)

  Specified by:
    `setStyle` in interface `ServiceDesc`

### getUse

    public Use getUse()

  What kind of use is this?

  Specified by:
    `getUse` in interface `ServiceDesc`
  Returns:

### setUse

    public void setUse(Use use)

  Specified by:
    `setUse` in interface `ServiceDesc`

### isWrapped

    public boolean isWrapped()

  Determine whether or not this is a "wrapped" invocation, i.e. whether the outermost XML element of the "main" body element represents a method call, with the immediate children of that element representing arguments to the method.

  Specified by:
    `isWrapped` in interface `ServiceDesc`
  Returns:
    true if this is wrapped (i.e. RPC or WRAPPED style), false otherwise

### getWSDLFile

    public java.lang.String getWSDLFile()

  the wsdl file of the service. When null, it means that the wsdl should be autogenerated

  Specified by:
    `getWSDLFile` in interface `ServiceDesc`
  Returns:
    filename or null

### setWSDLFile

    public void setWSDLFile(java.lang.String wsdlFileName)

  set the wsdl file of the service; this causes the named file to be returned on a ?wsdl, probe, not introspection generated wsdl.

  Specified by:
    `setWSDLFile` in interface `ServiceDesc`
  Parameters:
    `wsdlFileName` - filename or null to re-enable introspection

### getAllowedMethods

    public java.util.List getAllowedMethods()

  Specified by:
    `getAllowedMethods` in interface `ServiceDesc`

### setAllowedMethods

    public void setAllowedMethods(java.util.List allowedMethods)

  Specified by:
    `setAllowedMethods` in interface `ServiceDesc`

### getImplClass

    public java.lang.Class getImplClass()

### setImplClass

    public void setImplClass(java.lang.Class implClass)

  set the implementation class

  Warning: You cannot call getInitializedServiceDesc() after setting this as it uses this to indicate its work has already been done.

  Parameters:
    `implClass` -
  Throws:
    `java.lang.IllegalArgumentException` - if the implementation class is already set

### getTypeMapping

    public TypeMapping getTypeMapping()

  Specified by:
    `getTypeMapping` in interface `ServiceDesc`

### setTypeMapping

    public void setTypeMapping(TypeMapping tm)

  Specified by:
    `setTypeMapping` in interface `ServiceDesc`

### getName

    public java.lang.String getName()

  the name of the service

  Specified by:
    `getName` in interface `ServiceDesc`

### setName

    public void setName(java.lang.String name)

  the name of the service

  Specified by:
    `setName` in interface `ServiceDesc`
  Parameters:
    `name` -

### getDocumentation

    public java.lang.String getDocumentation()

  get the documentation for the service

  Specified by:
    `getDocumentation` in interface `ServiceDesc`

### setDocumentation

    public void setDocumentation(java.lang.String documentation)

  set the documentation for the service

  Specified by:
    `setDocumentation` in interface `ServiceDesc`

### getStopClasses

    public java.util.ArrayList getStopClasses()

### setStopClasses

    public void setStopClasses(java.util.ArrayList stopClasses)

### getDisallowedMethods

    public java.util.List getDisallowedMethods()

  Specified by:
    `getDisallowedMethods` in interface `ServiceDesc`

### setDisallowedMethods

    public void setDisallowedMethods(java.util.List disallowedMethods)

  Specified by:
    `setDisallowedMethods` in interface `ServiceDesc`

### removeOperationDesc

    public void removeOperationDesc(OperationDesc operation)

  Specified by:
    `removeOperationDesc` in interface `ServiceDesc`

### addOperationDesc

    public void addOperationDesc(OperationDesc operation)

  Specified by:
    `addOperationDesc` in interface `ServiceDesc`

### getOperations

    public java.util.ArrayList getOperations()

  get all the operations as a list of OperationDescs. this method triggers an evaluation of the valid operations by introspection, so use sparingly

  Specified by:
    `getOperations` in interface `ServiceDesc`
  Returns:
    reference to the operations array. This is not a copy

### getOperationsByName

    public OperationDesc[] getOperationsByName(java.lang.String methodName)

  get all overloaded operations by name

  Specified by:
    `getOperationsByName` in interface `ServiceDesc`
  Parameters:
    `methodName` -
  Returns:
    null for no match, or an array of OperationDesc objects

### getOperationByName

    public OperationDesc getOperationByName(java.lang.String methodName)

  Return an operation matching the given method name. Note that if we have multiple overloads for this method, we will return the first one.

  Specified by:
    `getOperationByName` in interface `ServiceDesc`
  Returns:
    null for no match

### getOperationByElementQName

    public OperationDesc getOperationByElementQName(QName qname)

  Map an XML QName to an operation. Returns the first one it finds in the case of mulitple matches.

  Specified by:
    `getOperationByElementQName` in interface `ServiceDesc`
  Returns:
    null for no match

### getOperationsByQName

    public OperationDesc[] getOperationsByQName(QName qname)

  Return all operations which match this QName (i.e. get all the overloads)

  Specified by:
    `getOperationsByQName` in interface `ServiceDesc`
  Returns:
    null for no match

### loadServiceDescByIntrospection

    public void loadServiceDescByIntrospection()

  Fill in a service description by introspecting the implementation class.

### loadServiceDescByIntrospection

    public void loadServiceDescByIntrospection(java.lang.Class implClass)

  Fill in a service description by introspecting the implementation class.

### loadServiceDescByIntrospection

    public void loadServiceDescByIntrospection(java.lang.Class cls,
                                               TypeMapping tm)

  Fill in a service description by introspecting the implementation class. This version takes the implementation class and the in-scope TypeMapping.

### setNamespaceMappings

    public void setNamespaceMappings(java.util.List namespaces)

  Specified by:
    `setNamespaceMappings` in interface `ServiceDesc`

### getDefaultNamespace

    public java.lang.String getDefaultNamespace()

  Specified by:
    `getDefaultNamespace` in interface `ServiceDesc`

### setDefaultNamespace

    public void setDefaultNamespace(java.lang.String namespace)

  Specified by:
    `setDefaultNamespace` in interface `ServiceDesc`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  Specified by:
    `setProperty` in interface `ServiceDesc`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Specified by:
    `getProperty` in interface `ServiceDesc`

### getEndpointURL

    public java.lang.String getEndpointURL()

  Specified by:
    `getEndpointURL` in interface `ServiceDesc`

### setEndpointURL

    public void setEndpointURL(java.lang.String endpointURL)

  Specified by:
    `setEndpointURL` in interface `ServiceDesc`

### getTypeMappingRegistry

    public TypeMappingRegistry getTypeMappingRegistry()

  Specified by:
    `getTypeMappingRegistry` in interface `ServiceDesc`

### setTypeMappingRegistry

    public void setTypeMappingRegistry(TypeMappingRegistry tmr)

  Specified by:
    `setTypeMappingRegistry` in interface `ServiceDesc`

### isInitialized

    public boolean isInitialized()

  Specified by:
    `isInitialized` in interface `ServiceDesc`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.